> For the complete documentation index, see [llms.txt](https://docs.chainvine.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chainvine.xyz/developers/sdk/classes-and-functions/chainvineclient/getcampaignreferralstats-payload.md).

# getCampaignReferralStats(\[payload,])

```typescript
const campaignId = 'aSlug3293';

const stats = await client.getCampaignReferralStats({
    campaign: {
        id: campaignId
    },
});
```

## Params

| Param       | Required | Type   | Description                                       |
| ----------- | -------- | ------ | ------------------------------------------------- |
| campaign.id | required | string | the id of the program/campaign to fetch stats for |

## Response

| Field         | Type                                                                                                                                                                                                                                                                                       | Description                                                              |
| ------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------ |
| generated\_at | Date                                                                                                                                                                                                                                                                                       | the timestamp the stats were generated at (we cache stats for 5 minutes) |
| referrers     | <p>{ <br>  user\_id: string;<br>  external\_id?: string;<br>  wallet\_address?: string;<br>  email?: string;<br>  referral\_count: number;<br>  links\_claimed: number;<br>  join\_date: Date;<br>  rewards: {<br>    amount: number;<br>    denomination: string;<br>  }\[];<br>}\[];</p> | A list of stats per active referrer on the program                       |

## Examples

{% tabs %}
{% tab title="Browser" %}

```typescript
import { ChainvineClient } from '@chainvine/sdk';

const userWalletAddress = '0x293kdo0ij0';
const campaignId = 'aSlug3293';

const client = new ChainvineClient(); //Make sure to whitelist your domain

const stats = await client.getCampaignReferralStats({
    campaign: {
        id: campaignId
    },
});
```

{% endtab %}

{% tab title="Server" %}

```typescript
import { ChainvineClient } from '@chainvine/sdk';

const userWalletAddress = '0x293kdo0ij0';
const campaignId = 'aSlug3293';

// Generate your ChainvineClient instance
const client = new ChainvineClient({
    apiKey: '0dj03j000d'  // Your API Key
});

const stats = await client.getCampaignReferralStats({
    campaign: {
        id: campaignId
    },
});
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.chainvine.xyz/developers/sdk/classes-and-functions/chainvineclient/getcampaignreferralstats-payload.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
